View Issue Details

IDProjectCategoryView StatusLast Update
0004925Multi Theft Auto : San AndreasClientpublic2018-05-21 22:34
ReporterDragonAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionfixed 
PlatformQ9450 | GTX 280 | 2 GB DDR3 RAMOSWindows XP Home EditionOS Version2002 SP 3
Product Version1.0 
Target Version1.6Fixed in Version 
Summary0004925: Friendly fire does not prevent the player from burning
Description

Even with friendly fire disabled you will catch fire from team mates.

TagsNo tags attached.

Users sponsoring this issue
Sponsors List Total Sponsorship = EUR 10

2013-07-01 05:46: StuartUK (EUR 5)
2018-05-21 22:34: Drakath (EUR 5)
Users sponsoring this issue (Total Sponsorship = EUR 10)

Relationships

has duplicate 0006386 closed New issues molotov can injure players in your team when friendly fire is off 
has duplicate 0006626 closed New issues setTeamFriendlyFire cause damage with fires weapons (burn) 

Activities

IJs

2009-12-12 00:00

administrator   ~~0010852

http://github.com/multitheftauto/multitheftauto/commit/33022e9333624b0a75ef467ccc74915f1b5d6af6

Commit has to be checked and re-merged into git.

PhatLooser

2011-01-03 19:40

reporter   ~~0012433

CancelEvent() onClientDamage does also not cancel the damage fire does.

ryden

2011-01-16 19:06

manager   ~~0012566

Jax patch is not working. It didn't even compile.

Talidan

2011-01-16 19:08

administrator   ~~0012567

Jax tends to mislabel his commit messages, you'll probably find that the fixes for this commit are in another one.

TAPL

2012-07-10 09:42

viewer   ~~0017020

Up
Up
UP

StifflersMom

2013-04-18 19:40

updater   ~~0018363

Stated as fixed but can still burn within team and friendly fire (1.3.1-05099 server and 1.3.1-05174). Also, if I am in a team with friendly fire, cancelling onClientPlayerDamage does not prevent from burning - Without being in any team, cancelling onClientPlayerDamage works.

TAPL

2013-04-19 11:24

viewer   ~~0018366

Status = confirmed

Dutchman101

2014-01-23 18:36

updater   ~~0020060

Is this ever going to work?

Issue History

Date Modified Username Field Change